> For the complete documentation index, see [llms.txt](https://docs.tebex.io/plugin/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tebex.io/plugin/endpoints/customer-purchases.md).

# Customer Purchases

## List Active Packages For A Customer

<mark style="color:blue;">`GET`</mark> `https://plugin.tebex.io/player/:id/packages?package=<package>`

Return a list of all active (non-expired) packages that a customer has purchased.

#### Path Parameters

| Name | Type   | Description                                |
| ---- | ------ | ------------------------------------------ |
| id   | string | ID of the player to retrieve packages for. |

#### Query Parameters

| Name    | Type    | Description                                                                                        |
| ------- | ------- | -------------------------------------------------------------------------------------------------- |
| package | integer | Filter down to a single package ID, if you want to check if a specific package has been purchased. |

#### Headers

| Name           | Type   | Description                   |
| -------------- | ------ | ----------------------------- |
| X-Tebex-Secret | string | The secret key of the server. |

{% tabs %}
{% tab title="200 List of packages found." %}

```
[
    {
        "txn_id": "tbx-12312312313-132123",
        "date": "2020-01-31T01:00:00+00:00",
        "quantity": 1,
        "package": {
            "id": 1,
            "name": "Example Package"
        }
    },
    {
        "txn_id": "tbx-234234234-54321",
        "date": "2020-02-01T01:00:00+00:00",
        "quantity": 2,
        "package": {
            "id": 2,
            "name": "Amazing Package"
        }
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tebex.io/plugin/endpoints/customer-purchases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
